libscope-upper-perl_0.25-1_amd64.deb


Advertisement

Description

libscope-upper-perl - module to manipulate upper scopes

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libscope-upper-perl
Package version 0.25
Package release 1
Package architecture amd64
Package type deb
Installed size 156 B
Download size 42.26 KB
Official Mirror ftp.br.debian.org
Scope::Upper is a Perl module that provides a way for Perl programs to defer
actions at run-time until the control flow returns to the upper scope. It
currently enables developers to:
* Hook an upper scope end with "reap"
* Localize variables, array/hash values or deletions of elements in
higher contexts with respectively "localize", "localize_elem" and
"localize_delete"
* Return values immediately to an upper level with "unwind", and know
which context was in use then with "want_at"

Alternatives

Package Version Architecture Repository
libscope-upper-perl_0.25-1_i386.deb 0.25 i386 Debian Main
libscope-upper-perl - - -

Requires

Name Value
libc6 >= 2.14
perl >= 5.20.1-1
perlapi-5.20.1 -

Download

Type URL
Binary Package libscope-upper-perl_0.25-1_amd64.deb
Source Package libscope-upper-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libscope-upper-perl deb package:
    # sudo apt-get install libscope-upper-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.20/Scope/Upper.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Scope/Upper/Upper.so
/usr/share/doc/libscope-upper-perl/changelog.Debian.gz
/usr/share/doc/libscope-upper-perl/changelog.gz
/usr/share/doc/libscope-upper-perl/copyright
/usr/share/doc/libscope-upper-perl/examples/bench_uplevel.pl
/usr/share/doc/libscope-upper-perl/examples/tag.pl
/usr/share/doc/libscope-upper-perl/examples/try.pl
/usr/share/man/man3/Scope::Upper.3pm.gz

Changelog

2014-10-14 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.25-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ gregor herrmann ]
* Import upstream version 0.25
* Add debian/upstream/metadata.
* Update years of upstream and packaging copyright.
* Mark package as autopkgtest-able.
* Declare compliance with Debian Policy 3.9.6.
2013-10-05 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.24-1) unstable; urgency=low
* New upstream release.
* Drop build dependencies that are not required anymore.
* Drop unused lintian override (hardening-no-fortify-functions).
2013-02-18 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.22-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* debian/copyright: update years of copyright.
2012-12-09 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.21-1) unstable; urgency=low
* New upstream release.
* Update years of packaging copyright.
* Bump Standards-Version to 3.9.4 (no changes).
* Use debhelper 9.20120312 to get all hardening flags.
* Add a lintian override for hardening-no-fortify-functions.
2012-09-09 - Ansgar Burchardt <ansgar@debian.org>
libscope-upper-perl (0.19-1) unstable; urgency=low
* New upstream release.
* debian/copyright: Update years of copyright.
* debian/copyright: Use copyright format 1.0.
* Bumped Standards-Version to 3.9.3.
2011-10-14 - Ansgar Burchardt <ansgar@debian.org>
libscope-upper-perl (0.18-1) unstable; urgency=low
* New upstream release.
2011-10-05 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.17-1) unstable; urgency=low
* New upstream release.
* Remove spelling patch, not required anymore.
2011-09-04 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.16-1) unstable; urgency=low
* New upstream release.
* Add a patch for "allows (one) to".
2011-08-29 - Ansgar Burchardt <ansgar@debian.org>
libscope-upper-perl (0.15-1) unstable; urgency=low
[ Ansgar Burchardt ]
* New upstream release.
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
2011-06-05 - gregor herrmann <gregoa@debian.org>
libscope-upper-perl (0.14-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release (closes: #628498).
[ gregor herrmann ]
* Update years of upstream and packaging copyright.
* Bump debhelper compatibility level to 8.
* Set Standards-Version to 3.9.2 (no changes).

See Also

Package Description
libscotch-5.1_5.1.12b.dfsg-2+b1_amd64.deb programs and libraries for graph, mesh and hypergraph partitioning
libscotch-dev_5.1.12b.dfsg-2+b1_amd64.deb programs and libraries for graph, mesh and hypergraph partitioning
libscotchmetis-dev_5.1.12b.dfsg-2+b1_amd64.deb programs and libraries for graph, mesh and hypergraph partitioning
libscotchparmetis-dev_5.1.12b.dfsg-2+b1_amd64.deb programs and libraries for graph, mesh and hypergraph partitioning
libscout-clojure_0.1.1-2_all.deb Clojure library to parse strings
libscrappy-perl_0.94112090-2_all.deb powerful web spidering, scraping, creeping crawling framework
libscriptalicious-perl_1.17-1_all.deb module to simplify writing of Perl scripts
libscrypt-dev_1-2.2_amd64.deb scrypt shared library - development files
libscrypt0_1-2.2_amd64.deb scrypt shared library
libscscp-doc_1.0.1+ds-1_all.deb IMCCE SCSCP C Library -- reference manual
libscscp1-dev_1.0.1+ds-1_amd64.deb IMCCE SCSCP C Library -- development package
libscscp1_1.0.1+ds-1_amd64.deb IMCCE SCSCP C Library -- library package
libscsynth1_3.6.6~repack-2-1_amd64.deb SuperCollider synthesis server library
libsctp-dev_1.0.16+dfsg-2_amd64.deb user-space access to Linux Kernel SCTP - development files
libsctp1_1.0.16+dfsg-2_amd64.deb user-space access to Linux Kernel SCTP - shared library
Advertisement
Advertisement